@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

*{
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
}

html,body{
    width: 100%;
    height: auto;
    background: #fff;
}

/* --------- Section and main common styles starts -------- */

main{
    width: 100%;
    padding: 40px;
    background-color: #383434;
}

section{
    max-width: 1200px;
    width: 100%;
    padding: 40px;
    margin: 0 auto;
}

/* --------- Section and main common styles ends -------- */

/* --------- Scrollbar styles starts---------- */

::-webkit-scrollbar{
    width: 10px;
    height: 5px;
}

::-webkit-scrollbar-track{
    background: #f1f1f1;
    background: linear-gradient(135deg, #96c0ff 0%, #6C4F9D 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
}

::-webkit-scrollbar-thumb{
    background: #888;
    background-color: #fff;
}

::-webkit-scrollbar-thumb:hover{
    background: #555;
}

/* --------- Scrollbar styles end---------- */

/*--------------------- Navbar styles start------------------- */

nav#navigation{
    width: 100%;
    height: 50px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    border-bottom: 1px solid #fff;
    background-color: rgba(0,0,0,0.883);
}

.navigation_links{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    font-size: 20px;
    color: #fff;
    display: flex;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    margin: 0 50px;
}

.navigation_links li{
    padding: 10px;
    margin: 0 10px;
    cursor: pointer;
    -webkit-transition: all .2s ease;
    -o-transition: all .2s ease;
    transition: all .2s ease;
}

.navigation_links li:hover{
    color: #a460d4;
    font-weight: 900;
}

.navigation_logo{
    background-color: orange;
    border-radius: 50%;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    overflow: hidden;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 4px;
    margin-top: 50px;
    position: relative;
}

.navigation_logo::before{
    content:'';
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background: -o-linear-gradient(315deg, #96c0ff 0%, #6C4F9D 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
    background: linear-gradient(135deg, #96c0ff 0%, #6C4F9D 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
    -webkit-transition: -webkit-transform .5s ease;
    transition: -webkit-transform .5s ease;
    -o-transition: transform .5s ease;
    transition: transform .5s ease;
    transition: transform .5s ease, -webkit-transform .5s ease;
    z-index: 1;
}

.navigation_logo:hover::before{
    -webkit-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
}

.navigation_logo img{
    width: 80px;
    height: 80px;
    z-index: 2;
}

/*--------------------- Navbar styles end ------------------- */

/* ------------ Header hero section starts ---------------- */

header#hero_section{
    width: 100%;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    background: rgba(0,0,0,0.924);
    position: relative;
}

header#hero_section .gradient_border{
    width: 100%;
    height: 3px;
    background: -o-linear-gradient(315deg, #96c0ff 0%, #6C4F9D 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
    background: linear-gradient(135deg, #96c0ff 0%, #6C4F9D 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
    -webkit-animation: moving linear 5s infinite;
    animation: moving linear 5s infinite;
}

@-webkit-keyframes moving {
    0%{
        background-size: 100%;
    }
    50%{
        background-size: 50%;
    }
    100%{
        background-size: 100%;
    }
}

@keyframes moving {
    0%{
        background-size: 100%;
    }
    50%{
        background-size: 50%;
    }
    100%{
        background-size: 100%;
    }
}

#hero_section img{
    width: 100%;
    -o-object-fit: contain;
    object-fit: contain;
    opacity: 0.5;
}

#header_title{
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    white-space: nowrap;
    cursor: default;
}    

#hero_section #header_title h1{
    font-size: 120px;
    color: #fff;
}

#hero_section #header_title span:hover{
    color: var(--clr);
}

#hero_section #header_title p.tagline{
    color: #fff;
    font-size: 25px;
    background: -o-linear-gradient(315deg, #96c0ff 0%, #b990ff 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
    background: linear-gradient(135deg, #96c0ff 0%, #b990ff 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
    background-size: 100%;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-background-clip: text;
    -moz-text-fill-color: transparent;
    width: 100%;
    text-align: center;
    font-weight: 900;
}

#hero_section #header_title p.tagline:hover{
    -webkit-animation: 1s text_gradient_animation ease;
    animation: 1s text_gradient_animation ease;
}

@-webkit-keyframes text_gradient_animation {
    0%{
        background-size: 50%;
    }
    50%{
        background-size: 100%;
    }
    100%{
        background-size: 50%;
    }
}

@keyframes text_gradient_animation {
    0%{
        background-size: 50%;
    }
    50%{
        background-size: 100%;
    }
    100%{
        background-size: 50%;
    }
}

/* ------------ Header hero section ends ---------------- */

/* Popular Projects Section start */

section.popular{
    position: relative;
    padding-left: 50px;
    padding-bottom: 10px;
    overflow-x: scroll;
    overflow-y: hidden;
}

section.popular .cards_wrapper{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    grid-gap: 20px;
}

section.popular .cards_wrapper .half_card{
    /* width: 300px;
       height: 400px; */
    width: 280px;   
    height: 380px;
    -webkit-box-shadow: 2rem 0 3rem -2rem #000;
    box-shadow: 2rem 0 3rem -2rem #000;
    border-radius: 20px;
    background: -o-linear-gradient(5deg, #434343, #262626);
    background: linear-gradient(85deg, #434343, #262626);
    -webkit-transition: all ease .3s;
    -o-transition: all ease .3s;
    transition: all ease .3s;
    padding: 20px;
    z-index: 1;
}

.half_card:not(:first-child){
    -webkit-box-shadow: -3rem 0 3rem -2rem #000;
    box-shadow: -3rem 0 3rem -2rem #000;
    margin-left: -9rem;
}

.half_card:hover{
    -webkit-transform: rotateZ(5deg);
    -ms-transform: rotate(5deg);
    transform: rotateZ(5deg);
    -webkit-transform-origin: top;
    -ms-transform-origin: top;
    transform-origin: top;
}

.half_card:hover + .half_card{
    margin-left: 0;
}

.half_card .project_info{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    border-bottom: 1px solid #fff;
    padding-bottom: 5px;
}

.half_card .project_info img{
    width: 40px;
    height: 40px;
    margin-right: 10px;
    border: 2px solid #fff;
    border-radius: 50%;
}

.half_card .project_info .developer_name{
    font-size: 20px;
    color: #fff;
}

.project_data{
    padding: 10px;
}

.project_data .project_title{
    color: #fff;
    font-size: 25px;
}

.project_tags{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    grid-gap: 10px;
    color: orange;
    font-size: 18px;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    font-weight: bold;
}

.project_tags .project_tag{
    text-transform: capitalize;
    position: relative;
    padding-left: 8px;
    z-index: 0;
}

.project_tags .project_tag::before{
    content: '';
    position: absolute;
    left: 0;
    top: 40%;
    -webkit-transform: translate(-50%);
    -ms-transform: translate(-50%);
    transform: translate(-50%);
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: #fff;
}

.half_card .published{
    padding: 14px;
    color: #fff;
    margin-bottom: 20px;
}

.half_card .published span{
    color: red;
    margin-left: 5px;
}

.half_card a.read{
    color: #54336C;
    font-size: 13px;
    padding: 10px;
    border-radius: 20px;
    background-color: #fff;
    font-weight: bold;
    margin-left: 5px;
    -webkit-transition: all .5s ease;
    -o-transition: all .5s ease;
    transition: all .5s ease;
}

.half_card:hover a.read{
    margin-left: 50%;
}

/* ------------ Popular Projects Section end ---------------------- */

/*  Categories section styles starts */

section#categories{
    padding: 2.5vh 0;
}

.categories_wrapper{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    height: 95vh;
    min-height: 600px;
    max-height: 600px;
}

.categories_wrapper .categories_name_list{
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr;
    grid-template-columns: 1fr;
    padding-left: 10px;
    height: 95vh;
    min-height: 500px;
    max-height: 600px;
}

.categories_name_list .category_name{
    width: 100%;
    padding: 10px 15px;
    color: #fff;
    border-radius: 10px;
    font-size: 15px;
    margin: 10px 0;
    text-transform: uppercase;
    line-height: 30px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    white-space: nowrap;
    cursor: pointer;
    background: -o-linear-gradient(5deg, #54336C, #8231BB);
    background: linear-gradient(85deg, #54336C, #8231BB);
    -webkit-box-shadow: -2rem 0 3rem -2rem #000;
    box-shadow: -2rem 0 3rem -2rem #000;
    -webkit-transition: all .5s ease;
    -o-transition: all .5s ease;
    transition: all .5s ease;
    z-index: 1;
}

.category_name img{
    width: 40px;
    height: 40px;
    margin-right: 10px;
}

.categories_name_list .category_name.active{
    width: 120%;
    border: 2px solid rgba(255, 255, 255, .238);
}

.categories_name_list .category_name:hover{
    -webkit-transform: translateX(30px);
    -ms-transform: translateX(30px);
    transform: translateX(30px);
    width: 150%;
}

.categories_wrapper .categories_content_list{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    overflow: hidden;
    width: 100%;
    height: 95vh;
    min-height: 500px;
    max-height: 600px;
}

.categories_content_list .category_content{
    width: 100%;
    padding: 0 10px;
    -webkit-transition: all ease .5s;
    -o-transition: all ease .5s;
    transition: all ease .5s;
}

.categories_content_list .category_content .content_body{
    width: 100%;
    height: 95vh;
    min-height: 500px;
    max-height: 600px;
    position: relative;
    border-radius: 20px;
    background: -o-linear-gradient(5deg, #434343, #262626);
    background: linear-gradient(85deg, #434343, #262626);
    -webkit-box-shadow: 2rem 0 -3rem #000;
    box-shadow: 2rem 0 -3rem #000;
    border-bottom: 2px solid #fff;
}

.category_content .content_body img{
    height: 50%;
    position: absolute;
}

.category_content:first-child .content_body img{
    height: 50%;
}

.category_content:nth-child(odd) .content_body img{
    right: 0;
    bottom: 0;
}

.category_content:nth-child(even) .content_body img{
    right: 0;
    bottom: 0;
}

.content_body .category_heading{
    text-align: center;
    font-size: 50px;
    color: #fff;
    padding-top: 20px;
    font-weight: bold;
}

.content_body .category_desc{
    padding-left: 50px;
    padding-right: 50px;
    font-size: 20px;
    margin-top: 20px;
    color: #fff;
    text-align: justify;
}

/*  Categories section styles  end */

/* ---------- Article section starts ---------- */

section#articles{
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 20px 1fr 20px 1fr;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 20px;
}

#articles .article{
    width: 100%;
    background-color: rgba(255, 255, 255, .238);
    padding: 20px;
    border-radius: 20px;
    -webkit-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
}

#articles .article:hover{
    -webkit-transform: translateY(-10px);
    -ms-transform: translateY(-10px);
    transform: translateY(-10px);
    -webkit-box-shadow: 5px 10px 20px rgb(0,0,0);
    box-shadow: 5px 10px 20px rgb(0,0,0);
    cursor: pointer;
}

#articles .article img{
    width: 100%;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    -o-object-fit: contain;
    object-fit: contain;
    border-radius: 20px;
}

#articles .article .article_heading{
    font-weight: bold;
    font-size: 25px;
    color: #fff;
    margin-top: 10px;
    text-decoration: none;
}

#articles .article .article_heading:hover{
    -webkit-text-decoration: dotted underline;
    text-decoration: dotted underline;
}

#articles .article .article_desc{
    margin-top: 10px;
    font-size: 16px;
    text-align: justify;
    font-weight: bold;
    color: #212121;
}

/* ---------- Article section Ends ---------- */

/* Footer style start */

footer{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    height: 330px;
    background-color: #383434;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 10px;
}

footer .footer_upper{
    height: 200px;
    background: -o-linear-gradient(315deg, #96c0ff 0%, #6C4F9D 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
    background: linear-gradient(135deg, #96c0ff 0%, #6C4F9D 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
    border-radius: 15px;
    position: relative;
    -webkit-transition: 1s all ease;
    -o-transition: 1s all ease;
    transition: 1s all ease;
}

footer .footer_upper:hover{
    background: -webkit-gradient(linear, left top, right top, from(#96c0ff), color-stop(25%, #6C4F9D), color-stop(50%, #D42635), color-stop(75%, #F58437), to(#FFE295));
    background: -o-linear-gradient(left, #96c0ff 0%, #6C4F9D 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
    background: linear-gradient(90deg, #96c0ff 0%, #6C4F9D 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
}

footer .footer_upper .logo_icon{
    position: absolute;
    top: 50%;
    left: 50%;
    width: 80px;
    height: 80px;
    -webkit-transform: translate(-50%, -90%);
    -ms-transform: translate(-50%, -90%);
    transform: translate(-50%, -90%);
}

footer .footer_lower{
    height: 100px;
    background-color: #fff;
    position: relative;
    border-radius: 15px;
    border-top-left-radius: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

footer .footer_logo{
    position: absolute;
    height: 80px;
    width: 50%;
    background-color: white;
    bottom: 100%;
    border-top: 10px solid #383434;
    border-right: 10px solid #383434;
    border-top-right-radius: 20px;
    cursor: default;
}

footer .footer_logo .logo_box{
    width: 100%;
    height: 100%;
    margin: 15px;
    border-radius: 15px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    background-image: -o-linear-gradient(315deg, #96c0ff 0%, #6C4F9D 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
    background-image: linear-gradient(135deg, #96c0ff 0%, #6C4F9D 25%, #D42635 50%, #F58437 75%, #FFE295 100%);
    background-size: 100%;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-background-clip: text;
    -moz-text-fill-color: transparent;
     font-size: 25px;
     font-weight: bold;
}

footer .footer_logo .logo_box:hover{
    -webkit-animation: 1s text_gradient_animation ease;
    animation: 1s text_gradient_animation ease;
}

@keyframes text_gradient_animation {
    0%{
        background-size: 50%;
    }
    50%{
        background-size: 100%;
    }
    100%{
        background-size: 50%;
    }
    
}

footer .footer_logo::before{
    content: '';
    position: absolute;
    width: 30px;
    height: 30px;
    background-color: yellow;
    border-radius: 50%;
    -webkit-box-shadow: -12px -10px 0 #383434;
            box-shadow: -12px -10px 0 #383434;
    background-color: transparent;
}

footer .footer_logo::after{
    content: '';
    left: 100%;
    bottom: 0;
    position: absolute;
    width: 30px;
    height: 30px;
    background-color: yellow;
    border-radius: 50%;
    -webkit-box-shadow: -12px 10px 0 #fff;
            box-shadow: -12px 10px 0 #fff;
    background-color: transparent;
}

footer .footer_upper::before{
    content: '';
    position: absolute;
    left: 0;
    bottom: 70px;
    height: 30px;
    width: 30px;
    background-color: yellow;
    border-radius: 50%;
    -webkit-box-shadow: -12px 10px 0 #383434;
            box-shadow: -12px 10px 0 #383434;
    background-color: transparent;
}

footer .footer_upper::after{
    content: '';
    position: absolute;
    left: 50%;
    bottom: 0;
    width: 30px;
    height: 30px;
    background-color: yellow;
    border-radius: 50%;
    -webkit-box-shadow: -12px 10px 0 #383434;
            box-shadow: -12px 10px 0 #383434;
    background-color: transparent;
}

.footer_lower .footer_copyright{
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    font-size: 18px;
}

.footer_lower .footer_copyright a{
    -webkit-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
}

.footer_lower .footer_copyright a:hover{
    color: #00f;
    font-weight: bold;
}

.footer_lower .footer_links{
    padding: 10px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    width: 100%;
    border-top: 3px solid #383434;
}

.footer_lower .footer_links .link{
    text-decoration: none;
    color: #383434;
    text-transform: capitalize;
    font-weight: bold;
}

.footer_lower .footer_links .link:hover{
    color: #00f;
}

/* Footer style end */